com.jscape.inet.mft.management.client.api

## Class ManagerDisconnectedEvent

- java.lang.Object
- - com.jscape.inet.mft.management.client.api.ManagerDisconnectedEvent

- All Implemented Interfaces:
    com.jscape.util.event.Event<ManagerDisconnectedEvent.Handler>

      public class ManagerDisconnectedEvent
      extends java.lang.Object
      implements com.jscape.util.event.Event<ManagerDisconnectedEvent.Handler>

  Event is fired when connection to administrative service is released.
  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ManagerDisconnectedEvent.Handler` Handles processing of ManagerConnectedEvent event.

    - ### Nested classes/interfaces inherited from interface com.jscape.util.event.Event

      `com.jscape.util.event.Event.EventHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagerDisconnectedEvent(ManagerSubsystem manager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ManagerDisconnectedEvent.Handler handler, com.jscape.util.event.EventContext context)`
    `ManagerSubsystem` | `getManager()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagerDisconnectedEvent

          public ManagerDisconnectedEvent(ManagerSubsystem manager)

  - ### Method Detail

    - #### accept

          public void accept(ManagerDisconnectedEvent.Handler handler,
                             com.jscape.util.event.EventContext context)

      Specified by:
        `accept` in interface `com.jscape.util.event.Event<ManagerDisconnectedEvent.Handler>`
      Parameters:
        `handler` - handler
        `context` - context

    - #### getManager

          public ManagerSubsystem getManager()

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved